Public Member Functions | Private Attributes | List of all members
libetonyek::IWORKDirectCollector< Type, Container > Class Template Reference

`#include <IWORKDirectCollector.h>`

## Public Member Functions
| IWORKDirectCollector (Container &collection)
template<class Context , class State >
IWORKXMLContextPtr_t | makeContext (State &state) const
bool | pending () const
void | push ()

## Private Attributes
Container & | m_collection

## Constructor & Destructor Documentation

## ◆ IWORKDirectCollector()

template<typename Type , class Container = std::deque<Type>>

libetonyek::IWORKDirectCollector< Type, Container >::IWORKDirectCollector | ( | Container & | collection | ) |
| inline

## Member Function Documentation

## ◆ makeContext()

template<typename Type , class Container = std::deque<Type>>
template<class Context , class State >

IWORKXMLContextPtr_t libetonyek::IWORKDirectCollector< Type, Container >::makeContext | ( | State & | state | ) | const
| inline

## ◆ pending()

template<typename Type , class Container = std::deque<Type>>

bool libetonyek::IWORKDirectCollector< Type, Container >::pending | ( |  | ) | const
| inline

## ◆ push()

template<typename Type , class Container = std::deque<Type>>

void libetonyek::IWORKDirectCollector< Type, Container >::push | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_collection

template<typename Type , class Container = std::deque<Type>>

Container& libetonyek::IWORKDirectCollector< Type, Container >::m_collection
| private

Referenced by libetonyek::IWORKDirectCollector< Type, Container >::makeContext().

The documentation for this class was generated from the following file:

- IWORKDirectCollector.h